/***************************************************************************
                          newfiledlg.h  -  description
                             -------------------
    begin                : sre apr 23 2003
    copyright            : (C) 2003-2011 Arahne, d.o.o.
    email                : arahne@arahne.si
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NEWFILEDLG_H
#define NEWFILEDLG_H

#include <dialog_ui_newFile.h>
#include <dialogColorPalette.h>
#include "widgetPenBrushSet.h"
#include "apaintdoc.h"

class NewFileDlg : public NewFileDialogUI  {
  Q_OBJECT
public: 
	NewFileDlg(QWidget *parent, const char *name, bool modal, ApaintDoc *pdoc, PenBrushUtil *pbUtilp);
	~NewFileDlg();

  void getNewFile();
  void getNewLayer();
  uint fillColor() const;
  int imgDepth();
  int imgWidth();
  int imgHeight();

public slots:

  void okBtnClick();
  void cancelBtnClick();
  void colorDepthSlot(int i);
  void colorFillType(int i);

private:
  void setStartVal();

  int width, height;
  int colDepth;
  int fillType;
  PenBrushUtil *pbUtil;
  ApaintDoc *doc;
};

#endif
