/***************************************************************************
                          tooUnRedo.cpp  -  description
                             -------------------
    begin                : Thu Oct 30 2003
    copyright            : (C) 2003-2011 Arahne, d.o.o.
    email                : arahne@arahne.si
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "toolUnRedo.h"

extern char *getCommonPNG(const char *pixName);

UnRedoTool::UnRedoTool(ToolType ttyp, OpType typ):ToolBase(ttyp, 0)
{
  type = typ;
  if (type == UndoOp)
    setToggleBtn(QPixmap(getCommonPNG("edit-undo")), tr("Undo op"));
  else if (type == RedoOp)
    setToggleBtn(QPixmap(getCommonPNG("edit-redo")), tr("Redo op"));
  
}

UnRedoTool::~UnRedoTool()
{  
}

void UnRedoTool::doAction()
{
 if (type == UndoOp)
  emit doUndo();
 else if (type == RedoOp)
  emit doRedo();
}

